Engine Yard Developer Center

Engine Yard Release Notes- June 2017

Engine Yard Stack Release Notes for June 30th, 2017

Minor: Engine Yard Gentoo 12.11 stack upgrade

Action: You apply the following changes the next time you click the Upgrade button for your Engine Yard Gentoo 12.11 environment.

Note: For clarity, since we now have 2 Gentoo stacks, we refer to this stack as the Engine Yard Gentoo 12.11 stack. You can access it by using the Stack select field in the Environment UI:stable-v4-2.0.123

stack_stable-v4.png

It's best practice to upgrade your Engine Yard Gentoo 12.11 (stable-v4) stack regularly for the latest security and product updates.

  • Adds SSL connection encryption for PostgreSQL and MySQL
    • Warning! MySQL versions of 5.5.40 or 5.6.22 or lower are not compatible with the SSL feature; these versions will have the SSL feature disabled by the next release. Please ensure your MySQL version is higher than this, perform a minor version upgrade before proceeding with this upgrade, or include release 2.0.124 in your upgrade plans.
    • Note: enforcing SSL requires additional steps; see documentation for complete details.
  • Fixes a permissions issue when using load_postgres_db.sh to restore a database dump containing a materialized view.
  • Adds Percona-Server 5.6.35 and 5.5.54. See our Upgrade Procedures for additional details about applying this update.
  • Removed unused ssl_ciphers directive.
  • Adds environment level timezone controls to cookbooks.
  • Eliminates redundant OKAY messages for filesystem health checks.
  • Adjusts ey-hosts generation to only include hosts if their IP can be resolved at runtime
  • Excludes nfs remote host directory /data or /db from the primary EBS filesystem health check.
  • Fixed ssl by setting passwords on instances booting the first time.

For more information on Engine Yard Gentoo 12.11, see the Engine Yard Gentoo 12.11 docs.

 


 

Engine Yard Stack Release Notes for June 28th, 2017

Minor: Engine Yard Gentoo 2016 stack upgrade

Action: You apply the following changes the next time you click the Upgrade button for your Engine Yard Gentoo 2016 environment.

Note: For clarity, since we now have 2 Gentoo stacks, we refer to this stack as the Engine Yard Gentoo 2016 stack. You can access it by using the Stack select field in the Environment UI: stable-v5-3.0.30

It's best practice to upgrade your Engine Yard Gentoo 2016 (stable-v5) stack regularly for the latest security and product updates. This week's updates:

  • Hotfix to skip lockfile check on non-database instances.

 


 

Engine Yard Stack Release Notes for June 27th, 2017

Minor: Engine Yard Gentoo 2016 stack upgrade

Action: You apply the following changes the next time you click the Upgrade button for your Engine Yard Gentoo 2016 environment.

Note: For clarity, since we now have 2 Gentoo stacks, we refer to this stack as the Engine Yard Gentoo 2016 stack. You can access it by using the Stack select field in the Environment UI: stable-v5-3.0.29

It's best practice to upgrade your Engine Yard Gentoo 2016 (stable-v5) stack regularly for the latest security and product updates. This week's updates:

  • Adds SSL connection encryption for PostgreSQL and MySQL
    • Warning! Existing MySQL 5.7 environments require a database restart immediately after this upgrade, please contact Support if you need additional assistance.
    • Note: enforcing SSL requires additional steps; see documentation for complete details.
  • Fixes an issue in the Sidekiq recipe wherein Sidekiq fails to start because the log file is owned by root
  • Removes a misplaced comma on the syslog_ng version line in the attributes file of the papertrail recipe
  • Eliminates redundant OKAY messages for filesystem healthchecks
  • Adjusts ey-hosts generation to only include hosts if their IP can be resolved at runtime
  • Fixes a permissions issue when using load_postgres_db.sh to restore a database dump containing a materialized view.
  • Improves functionality and alerting for logical backups (eybackup)
    • Corrects issue where mysql backups were recording database name in the backup
    • Adds server identity to mysql backups to make them useful for replication-based restores
    • Prevents and warns about overlapping backup runs; provides an override option off by default.
    • cli improves backup errors when params specified incorrectly (leaving off db arg)
    • listing backups with all now properly indexes multiple databases in environment
    • OKAY messages only sent on first success after backup failure
    • Error messages are printed to /var/log/engineyard/eybackup/#{dbname}.alert
    • Backup Size and datestamps are printed to /var/log/engineyard/eybackup/#{dbname}.sizes which is capped at 100 lines
    • new_backup option now backs up a specific db if listed, otherwise will back up all databases
    • postgres restores perform analyze after load; adds a skip_analyze option
    • adds multi-part upload and uploads up to 4.9TB as a single file
    • adds Server Side Encryption (S3 managed keys) for all new S3 uploads
  • Improves functionality and wording for eyrestore tool
    • eyrestore displays bucket name hint when unable to access other environment
    • eyrestore no longer requires both the database specified in both the --databases and --index args
    • eyrestore with gpg backups should say download when restoring with gpz extension
  • Updates fog-aws module from 0.3.0 to 1.2.1
  • Deprecates and removes unused aws-s3 gem

For more information on Engine Yard Gentoo 2016, see the Engine Yard Gentoo 2016 docs.

 


 

Engine Yard Stack Release Notes for June 6th, 2017

Minor: Engine Yard Gentoo 12.11 stack upgrade

Action: You apply the following changes the next time you click the Upgrade button for your Engine Yard Gentoo 12.11 environment.

Note: For clarity, since we now have 2 Gentoo stacks, we refer to this stack as the Engine Yard Gentoo 12.11 stack. You can access it by using the Stack select field in the Environment UI:stable-v4-2.0.122

stack_stable-v4.png

It's best practice to upgrade your Engine Yard Gentoo 12.11 (stable-v4) stack regularly for the latest security and product updates.

  • Adds support for Node.js 4.4.7, 4.7.3, and removes metadata requirement for 0.12.x and 4.x.
  • Adds support for custom VPCs to pg_hba.conf

For more information on Engine Yard Gentoo 12.11, see the Engine Yard Gentoo 12.11 docs.

Minor: Engine Yard Gentoo 2016 stack upgrade

Action: You apply the following changes the next time you click the Upgrade button for your Engine Yard Gentoo 2016 environment.

Note: For clarity, since we now have 2 Gentoo stacks, we refer to this stack as the Engine Yard Gentoo 2016 stack. You can access it by using the Stack select field in the Environment UI: stable-v5-3.0.28

It's best practice to upgrade your Engine Yard Gentoo 2016 (stable-v5) stack regularly for the latest security and product updates. This week's updates:

  • Adds the env_vars custom chef recipe.
  • Adds environment level timezone controls to cookbooks.
  • Adds an option for passenger_monitor to terminate a bloated Passenger worker with kill -9 if it does not respond to kill -USR1 after a grace period.
  • Fixes passenger_monitor so that it loads the worker_memory_size limit from metadata, to allow Support to tweak memory limits.

For more information on Engine Yard Gentoo 2016, see the Engine Yard Gentoo 2016 docs.

 


 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Please sign in to leave a comment.

Powered by Zendesk